## derivations 0.57.20210107

=== Makefile ===
# More than one directory may be listed by $(srcdir).  There used to be
# listed also a 'btool' directory containing necessary building tools
# coded in C++ but in current versions 'btool' is fortunately obsolete.
srcdir := tex
.PHONY: FORCE all clean
all:
all clean: ; $(foreach dir, $(srcdir), $(MAKE) -C $(dir) $@ ;)
$(foreach dir, $(srcdir), $(dir)/%): FORCE; $(MAKE) -C $(@D) $(@F)
