=== debian/changelog ===
derivations (0.57.20210107-3) unstable; urgency=low

  * Retargeted debian/watch.  Also, updated the watch file's format to
    the format's version 4.

 -- Thaddeus H. Black <thb@debian.org>  Wed, 20 Jan 2021 00:00:00 +0000

derivations (0.57.20210107-2) unstable; urgency=low

  * Observed that, as of upstream version 0.57.20190831, the book's
    source has been updated to build using modern, standard tools
    like PDFLaTeX and Hyperref; and, consequently, that upstream
    has retired and deleted btool/, removing the file PDF.cc and thus
    obviating (as of the present upload to sid) Lucas Nussbaum's
    Sept. 2020 bug report (closes: #971095).  Thanked Lucas for the
    timely, helpful report.
  * Reconfigured and rebuilt for upload to Debian sid.
  * Conformed to Standards-Version 4.5.1.
  * Specified the binary to be Multi-Arch: all.
  * Temporarily worked around new, perhaps buggy behavior by TeX Live.
    (In the new TeX Live, Pst-pdf seems to interact badly with
    Hyperref.  The present workaround works for now but provokes Ps2pdf
    to complain of deprecated usage; so before the Derivations package
    can implement a permanent solution, the future manner in
    which TeX Live addresses the apparent bug shall have to
    be observed.)
  * In tex/Makefile, added a missing, apparently optional = sign to an
    invocation of latex(1) and fixed the definition of the $(ch)
    variable.  (These changes will be sent upstream.)
  * Updated tex/README.  (This change too will be sent upstream.)

 -- Thaddeus H. Black <thb@debian.org>  Tue, 19 Jan 2021 00:00:00 +0000

derivations (0.57.20210107-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.

 -- Thaddeus H. Black <thb@debian.org>  Thu, 07 Jan 2021 00:00:00 +0000

derivations (0.57.20190907-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * Extended debian/helper/RelSteps to include notes
    regarding Pbuilder.
  * Verified that some minor items in debian/helper/TODO had indeed
    been done (these items having at one time or another presumably
    been logged, if and as appropriate, either in this debian/changelog
    or in the upstream doc/changelog), and then cleaned cruft out of
    the TODO.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 07 Sep 2019 00:00:00 +0000

derivations (0.57.20190831-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * Further transitioned development to Debian 10 buster stable.
  * Cleaned up and updated the dependencies in debian/control.
  * Updated Debhelper to debian/compat 12.
  * In debian/rules, let the targets orig, orig-force and
    cleandeb-force each depend on the target clean (thus incidentally
    requiring the use of fakeroot to invoke the three targets, which is
    probably just as well).
  * Slightly revised debian/RelSteps to reflect the new
    build procedure.
  * In debian/helper/vim-macros, let <F4> build tex/derivations.pdf
    as <F3> builds tex/derivations.ps.  Let both save and invoke
    ../debian/rules clean before building.  Let <F12> save and invoke
    but not build.
  * Reduced the default text width from 72 to 71
    in debian/helper/Def.pm.
  * Made debian/cleandeb an executable file.
  * As of build time, planned not to release this version to the public
    but to keep it as an internal development stage.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 31 Aug 2019 00:00:00 +0000

derivations (0.56.20190822-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * Transitioned development to Debian 10 buster stable.
  * Pursuant to the last item, depended on buster's software versions
    such as libpoppler-private-dev 0.69.
  * In debian/helper/RelSteps, revised the editing and command
    sequences at the file's foot.  Corrected one of them.
  * As of build time, planned not to release this version to the public
    but to keep it as an internal development stage.

 -- Thaddeus H. Black <thb@debian.org>  Thu, 22 Aug 2019 00:00:00 +0000

derivations (0.56.20190513-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * In debian/helper/RelSteps:
    + Deprecated debian/helper/letexec.
    + More explicitly recommended debian/helper/rm-quilt.
  * As of build time, planned not to release this version to the public
    but to keep it as an internal development stage.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 13 May 2019 00:00:00 +0000

derivations (0.56.20190429-1) experimental; urgency=none

  * Updated to the new upstream version.
  * Reverted temporarily to development on Debian 9 stretch stable,
    observing that this build is not for upload to the Debian
    archive (which is why it reads "experimental; urgency=none" above,
    purposely not a legal upload spec).
  * Pursuant to the last item, temporarily reverted from
    build-dependency on version 0.69 to version 0.48
    of libpoppler-private-dev.
  * Let debian/helper/ispell-all target also files named TODO.
  * As of build time, planned not to release this version to the public
    but to keep it as an internal development stage.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 29 Apr 2019 00:00:00 +0000
