=== debian/rules ===
#! /usr/bin/make -f

tex    := tex
out    := derivations

# Uncomment for Debhelper verbosity.
#export DH_VERBOSE=1

configure       : configure-stamp
configure-stamp :
	dh_testdir
	@# (Further configuration commands probably go here.)
	touch configure-stamp

build           : build-stamp
build-arch      : build-stamp
build-indep     : build-stamp
build-stamp     : configure-stamp
	dh_testdir
	BUILD_FOR_PACKAGING=1 $(MAKE) $(tex)/$(out).pdf
	@# (Further build commands probably go here.)
	touch build-stamp

clean           :
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	@# (Further cleaning commands probably go here.)
	dh_clean

install         : build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	@# (Further installation commands probably go here.)

binary-indep    : build install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/changelog
	dh_installdocs
	dh_installman
	@# (Further commands regarding the preparation of the
	@# architecture-independent binary probably go here.)
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
binary          : binary-indep
binary-arch     : ;

# These are optional targets.
orig            : clean ; dh_testdir ; bash - debian/mkorig
orig-force      : clean ; dh_testdir ; bash - debian/mkorig -f
cleandeb-force  : clean ; dh_testdir ; bash - debian/cleandeb -f

.PHONY: configure build clean install binary-indep binary \
  orig orig-force cleandeb-force
