=== debian/watch ===
# Thanks to Yan Morin for correcting this Debian
# watch file at version 3 (refer
# to [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550795]).
# The present, version-4 watch file is still based on Morin's
# version 3.

version=4
http://www.derivations.org/ \
 ./derivations_([^\s_-]+)\.orig\.tar\.xz debian uupdate
